Subject: sed bug: using -e instead of a literal newline in s replacement fails

From: Hans-Bernhard Bröker <[email-masked]>
Date: Wed, 22 Jul 2015 15:56:43 +0200

> The following is from POSIX[0]:

 > If any -e or -f options are specified, the script of editing commands
 > shall initially be empty. The commands specified by each -e or -f
 > option shall be added to the script in the order specified.

I think the solution to this mystery might be that the above statement 
is a good deal more strict than people have taken it.  It speaks of 
"commands specified by each -e".  Well, the example case's -e options 
_do_not_ each specify commands.  They each only specify part of one command.

So as I read this, this report is invalid by way of its expectations not 
being backed by the POSIX specification.